<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <!-- Wizard Form -->
    <record id="stock_movement_report_wizard_form" model="ir.ui.view">
        <field name="name">stock_movement_report_wizard.form</field>
        <field name="model">stock_movement_report_wizard</field>
        <field name="arch" type="xml">
            <form string="Stock Movement Report">
                <group>
                    <field name="date_from"/>
                    <field name="date_to"/>
                </group>
                <footer>
                    <button name="generate_excel_report" type="object" string="Generate Excel" class="oe_highlight"/>
                    <button special="cancel" string="Cancel"/>
                </footer>
            </form>
        </field>
    </record>

    <!-- Action to Open Wizard -->
    <record id="action_stock_movement_report_wizard" model="ir.actions.act_window">
        <field name="name">Stock Movement Report</field>
        <field name="res_model">stock_movement_report_wizard</field>
        <field name="view_mode">form</field>
        <field name="target">new</field>
    </record>
 <menuitem id="movement_reports_menu_root"
              name="Materials Movement Report" action="action_stock_movement_report_wizard"
              parent="stores_menu_root" groups="sos_inventory.sos_management_user,sos_inventory.sos_finance_user"/>
    

</odoo>